Bug 980364 - qpid-cpp-0.22-1 breaks dependency for matahari
qpid-cpp-0.22-1 breaks dependency for matahari
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qpid-cpp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 03:38 EDT by David Juran
Modified: 2015-06-21 20:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:05:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2013-07-02 03:38:49 EDT
Description of problem:
The qpid-cpp-0.22 update that recently was pushed to Fedora 17 lacks libqpidtypes.so.1 which is required by matahari.

Version-Release number of selected component (if applicable):
qpid-cpp-0.22-1

How reproducible:
Every time


Steps to Reproduce:
1. yum update
Error: Package: matahari-service-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidtypes.so.1()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidtypes.so.1()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidtypes.so.1()(64bit)
Error: Package: matahari-network-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidclient.so.5()(64bit)
Error: Package: matahari-network-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidcommon.so.5()(64bit)
Error: Package: matahari-host-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidcommon.so.5()(64bit)
Error: Package: matahari-agent-lib-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidcommon.so.5()(64bit)
Error: Package: matahari-agent-lib-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqmf2.so.1()(64bit)
           Removing: qpid-qmf-0.20-3.fc17.x86_64 (@updates)
               libqmf2.so.1()(64bit)
           Updated By: qpid-qmf-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-qmf-0.14-1.fc17.2.x86_64 (fedora)
               libqmf2.so.1()(64bit)
Error: Package: matahari-consoles-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidclient.so.5()(64bit)
Error: Package: matahari-service-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidmessaging.so.3()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidmessaging.so.3()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidmessaging.so.3()(64bit)
Error: Package: matahari-network-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidmessaging.so.3()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidmessaging.so.3()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidmessaging.so.3()(64bit)
Error: Package: matahari-rpc-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidtypes.so.1()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidtypes.so.1()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidtypes.so.1()(64bit)
Error: Package: matahari-rpc-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidmessaging.so.3()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidmessaging.so.3()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidmessaging.so.3()(64bit)
Error: Package: matahari-service-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqmf2.so.1()(64bit)
           Removing: qpid-qmf-0.20-3.fc17.x86_64 (@updates)
               libqmf2.so.1()(64bit)
           Updated By: qpid-qmf-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-qmf-0.14-1.fc17.2.x86_64 (fedora)
               libqmf2.so.1()(64bit)
Error: Package: matahari-consoles-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidtypes.so.1()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidtypes.so.1()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidtypes.so.1()(64bit)
Error: Package: matahari-agent-lib-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidclient.so.5()(64bit)
Error: Package: matahari-network-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidtypes.so.1()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidtypes.so.1()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidtypes.so.1()(64bit)
Error: Package: matahari-consoles-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidmessaging.so.3()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidmessaging.so.3()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidmessaging.so.3()(64bit)
Error: Package: matahari-consoles-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqmf2.so.1()(64bit)
           Removing: qpid-qmf-0.20-3.fc17.x86_64 (@updates)
               libqmf2.so.1()(64bit)
           Updated By: qpid-qmf-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-qmf-0.14-1.fc17.2.x86_64 (fedora)
               libqmf2.so.1()(64bit)
Error: Package: matahari-rpc-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidcommon.so.5()(64bit)
Error: Package: matahari-rpc-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqmf2.so.1()(64bit)
           Removing: qpid-qmf-0.20-3.fc17.x86_64 (@updates)
               libqmf2.so.1()(64bit)
           Updated By: qpid-qmf-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-qmf-0.14-1.fc17.2.x86_64 (fedora)
               libqmf2.so.1()(64bit)
Error: Package: matahari-host-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidclient.so.5()(64bit)
Error: Package: matahari-service-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidcommon.so.5()(64bit)
Error: Package: matahari-agent-lib-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidtypes.so.1()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidtypes.so.1()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidtypes.so.1()(64bit)
Error: Package: matahari-network-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqmf2.so.1()(64bit)
           Removing: qpid-qmf-0.20-3.fc17.x86_64 (@updates)
               libqmf2.so.1()(64bit)
           Updated By: qpid-qmf-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-qmf-0.14-1.fc17.2.x86_64 (fedora)
               libqmf2.so.1()(64bit)
Error: Package: matahari-host-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqmf2.so.1()(64bit)
           Removing: qpid-qmf-0.20-3.fc17.x86_64 (@updates)
               libqmf2.so.1()(64bit)
           Updated By: qpid-qmf-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-qmf-0.14-1.fc17.2.x86_64 (fedora)
               libqmf2.so.1()(64bit)
Error: Package: matahari-agent-lib-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidmessaging.so.3()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidmessaging.so.3()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidmessaging.so.3()(64bit)
Error: Package: matahari-rpc-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidclient.so.5()(64bit)
Error: Package: matahari-host-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidmessaging.so.3()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidmessaging.so.3()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidmessaging.so.3()(64bit)
Error: Package: matahari-consoles-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidcommon.so.5()(64bit)
Error: Package: matahari-service-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidclient.so.5()(64bit)
Error: Package: matahari-host-0.6.0-3.fc17.x86_64 (@fedora)
           Requires: libqpidtypes.so.1()(64bit)
           Removing: qpid-cpp-client-0.20-3.fc17.x86_64 (@updates)
               libqpidtypes.so.1()(64bit)
           Updated By: qpid-cpp-client-0.22-1.fc17.x86_64 (updates)
               Not found
           Available: qpid-cpp-client-0.14-1.fc17.2.x86_64 (fedora)
               libqpidtypes.so.1()(64bit)
Comment 1 Fedora Update System 2013-07-02 14:59:37 EDT
qpid-cpp-0.22-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-cpp-0.22-2.fc19
Comment 2 Fedora Update System 2013-07-02 15:23:25 EDT
qpid-cpp-0.22-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.22-2.fc18
Comment 3 Fedora Update System 2013-07-02 15:44:36 EDT
qpid-cpp-0.22-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qpid-cpp-0.22-2.fc17
Comment 4 Fedora Update System 2013-07-02 23:31:45 EDT
Package qpid-cpp-0.22-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-cpp-0.22-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12221/qpid-cpp-0.22-2.fc19
then log in and leave karma (feedback).
Comment 5 Fedora End Of Life 2013-07-04 03:42:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 16:06:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Fedora Update System 2013-08-07 18:56:55 EDT
qpid-cpp-0.22-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-07 19:05:14 EDT
qpid-cpp-0.22-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.